Bug 81760 - slovene keyboard emits wrong characters
Summary: slovene keyboard emits wrong characters
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kbd   
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-13 20:15 UTC by David Balažic
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-27 22:22:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Balažic 2003-01-13 20:15:12 UTC
Description of problem:

With slovene keymap on the console ( tty1 ), most AltGr-<number> combinations 
print the wrong characters. Also the national characters are printed wrong ( as 
if a wrong code-page would be used ).


Version-Release number of selected component (if applicable):
kbd-1.08-2

How reproducible:

Steps to Reproduce:
1. log in on tty1 (VT1)
2. type some chars

keymap is : slovene
LANG=sl_SI.UTF-8

If I type ÄÅ¡ÄžÄÄÅ ÄÅ½Ä , I get Egrave, "3/4" "AE" "(C)" "(R)" and similar.

Comment 1 David Balažic 2003-01-14 09:02:19 UTC
More info :

I created a file named "ab ÄšžÄÄ ÄÅ ÄÄŽ" under X ( it works OK there ).
The in the console ( in bash ) I typed "cat ab<TAB>" and the filename
was properly extended, with all chars printed correctly ( the filename is also 
listed correctly by "ls" ). Then pressed <RETURN> and the content of the file 
was properly printed.
So the problem appears to be only with input ( keyboard ), not output.

Comment 2 Bill Nottingham 2003-01-15 07:16:10 UTC
Could be a problem with the keymap encoding.

Comment 3 David Balažic 2003-01-30 17:04:48 UTC
I could fix the "ÄšžÄÄ" keys by running "loadkeys -u slovene".
It gives warnings :

plus before scaron ignored
plus before Scaron ignored
plus before dstrike ignored
plus before Dstrike ignored
plus before ccaron ignored
plus before Ccaron ignored
plus before cacute ignored
plus before Cacute ignored
plus before zcaron ignored
plus before Zcaron ignored

But after that these keys work OK. I did not test any AltGr combinations.

Normally /etc/rc.d/rc.sysinit uses "loadkeys" without the "-u" option.
Note that loadkeys ( again without "-u" ) is also called 
from /etc/init.d/keytable.

Versions :
phoebe2 8.0.93
kbd-1.08-2
initscripts-7.04-1

Comment 4 Eido Inoue 2003-02-19 21:31:06 UTC
loadkeys with -u should work with the latest rawhide pkgs

Comment 5 David Balažic 2003-03-28 09:50:07 UTC
Problem still there in Shrike.

kbd-1.08-4.i386.rpm 

Some info :

On VT1 ... VT6 ( text mode console ) the characters "Äšž" are not displayed 
correctly when typed.
some other characters appear instead ( mentioned in previous comments ), some 
brighter than normal.
Create file with name "ÄÅ¡ÄžÄ" in X , list on VT1 , appear OK, except Ä is 
brighter.

[root@slave6 root]# cat /etc/sysconfig/i18n
LANG="en_US.UTF-8"
SUPPORTED="hr_HR.UTF-8:hr_HR:hr:en_GB.UTF-8:en_GB:en:en_US.UTF-
8:en_US:en:de_AT.UTF-8:de_AT:de:de_DE.UTF-8:de_DE:de:hu_HU.UTF-
8:hu_HU:hu:sr_YU.UTF-8@cyrillic:sr_YU:sr_YU.UTF-8:sr:sl_SI.UTF-8:sl_SI:sl"
SYSFONT="latarcyrheb-sun16"


Comment 6 David Balažic 2003-03-28 09:52:37 UTC
The keyboard type is set to "slovene".
If anyone wants to try is out themselves, the characters ÄÅ¡ÄÄž are on the keys 
right of "P" and "L" ( and left of "ENTER" ).


Comment 7 David Balažic 2003-04-02 15:03:02 UTC
Again "loadkeys -u slovene" fixes things :

[root@juice root]# loadkeys -u slovene
Loading //lib/kbd/keymaps/i386/qwertz/slovene.map.gz
plus before scaron ignored
plus before Scaron ignored
plus before dstroke ignored
plus before Dstroke ignored
plus before ccaron ignored
plus before Ccaron ignored
plus before cacute ignored
plus before Cacute ignored
plus before zcaron ignored
plus before Zcaron ignored

Except that plus was ignored, so when CAPS LOCK is active these keys print lower
case letters, not uppercase, like the rest.

Comment 8 David Balažic 2003-05-22 18:05:58 UTC
This problem is still present with the latest(current) software versions.

Comment 9 Eido Inoue 2004-02-27 22:22:13 UTC
may be fixed in kbd-1.12 with fc2-test1. don't have the hw to test though.


Note You need to log in before you can comment on or make changes to this bug.